﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Stimulsoft.Report;
using Stimulsoft.Report.Mvc;
using WebApplication1.Models;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Index(TestModel model)
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

        public ActionResult ViewerEvent()
        {
            var formValues = StiNetCoreViewer.GetFormValues(this);
            return StiNetCoreViewer.ViewerEventResult(this);
        }

        public IActionResult GetReport(TestModel model)
        {
            StiReport report = new StiReport();
            report.Load(StiNetCoreHelper.MapPath(this, "~/Reports/Report.mrt"));
            //report.Dictionary.Variables["Variable1"].Value = "other value 1";
            //report.Dictionary.Variables["Variable2"].Value = "other value 2";
            return StiNetCoreViewer.GetReportResult(this, report);
        }

    }
}
